~/.rbenv/versions/2.1.1/lib/ruby/gems/2.1.0/gems/bundler-1.6.2/lib/bundler/runtime.rb:222: warning: Insecure world writable dir /Users in PATH, mode 040777

루비와 레일스를 최근에 업데이트 했는데, 오늘 새로운 프로젝트를 생성하려는데 레일스 명령어를 날릴 때마다 저런 에러가 난다.

 

구글링을 해보니

$ chmod -R go-w /Users

이런 명령어를 사용하라는데 그래도 여전히 증상은 같다.

 

스크린샷 2014-05-17 오전 9.26.16

뭐 때문인지도 모르겠고해서 폴더 퍼미션을 보니 저렇게 노란색으로 나온다. 이유는 모르겠고…

 

다른 맥에서 확인해보니 저렇게 안되어 있어서

$ sudo chmod 755 /Users

이렇게 입력했다.

 

스크린샷 2014-05-17 오전 9.26.32

요렇게 바뀌고 나서는 에러가 안난다.